foundation-0.0.23: Alternative prelude with batteries and no dependencies

Safe Haskell | None
Language | Haskell2010

Foundation.Conduit.Textual

Synopsis

- lines :: Monad m => Conduit String String m ()
- words :: Monad m => Conduit String String m ()
- fromBytes :: MonadThrow m => Encoding -> Conduit (UArray Word8) String m ()
- toBytes :: Monad m => Encoding -> Conduit String (UArray Word8) m ()

# Documentation

lines :: Monad m => Conduit String String m () Source #

Split conduit of string to its lines

This is very similar to Prelude lines except it work directly on Conduit

Note that if the newline character is not ever appearing in the stream, this function will keep accumulating data until OOM

TODO: make a size-limited function

words :: Monad m => Conduit String String m () Source #

fromBytes :: MonadThrow m => Encoding -> Conduit (UArray Word8) String m () Source #

toBytes :: Monad m => Encoding -> Conduit String (UArray Word8) m () Source #